## tin 1.9.2+20070201

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2006-02-15
+# Updated: 2006-12-21
 #
 
 PROJECT	= tin
@@ -9,7 +9,7 @@
 PVER	= 9
 SVER	= 2
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20061021
+DVER	= 20070201
 EXE	= tin
 
 # directory structure
@@ -194,7 +194,7 @@
 	$(PCREDIR)/configure.in \
 	$(PCREDIR)/dftables.c \
 	$(PCREDIR)/pcre-config.in \
-	$(PCREDIR)/pcre.h.in \
+	$(PCREDIR)/pcre.h \
 	$(PCREDIR)/pcre_compile.c \
 	$(PCREDIR)/pcre_config.c \
 	$(PCREDIR)/pcre_dfa_exec.c \
@@ -205,13 +205,14 @@
 	$(PCREDIR)/pcre_info.c \
 	$(PCREDIR)/pcre_internal.h \
 	$(PCREDIR)/pcre_maketables.c \
+	$(PCREDIR)/pcre_newline.c \
 	$(PCREDIR)/pcre_ord2utf8.c \
 	$(PCREDIR)/pcre_printint.src \
 	$(PCREDIR)/pcre_refcount.c \
 	$(PCREDIR)/pcre_study.c \
 	$(PCREDIR)/pcre_tables.c \
 	$(PCREDIR)/pcre_try_flipped.c \
-	$(PCREDIR)/pcre_ucp_findchar.c \
+	$(PCREDIR)/pcre_ucp_searchfuncs.c \
 	$(PCREDIR)/pcre_valid_utf8.c \
 	$(PCREDIR)/pcre_version.c \
 	$(PCREDIR)/pcre_xclass.c \
@@ -224,7 +225,6 @@
 	$(PCREDIR)/ucp.h \
 	$(PCREDIR)/ucpinternal.h \
 	$(PCREDIR)/ucptable.c \
-	$(PCREDIR)/version.sh \
 	$(PCREDIR)/doc/pcre.3 \
 	$(PCREDIR)/doc/pcrepattern.3 \
 	$(PCREDIR)/testdata/testinput1 \
@@ -249,6 +249,7 @@
 CAN	= \
 	$(CANDIR)/Build \
 	$(CANDIR)/CHANGES \
+	$(CANDIR)/HOWTO \
 	$(CANDIR)/MANIFEST \
 	$(CANDIR)/README \
 	$(CANDIR)/base64.c \
@@ -268,17 +269,12 @@
 	$(CANDIR)/md5.c \
 	$(CANDIR)/md5.h \
 	$(CANDIR)/sha1.c \
-	$(CANDIR)/sha1.h \
-	$(CANDIR)/doc/HOWTO \
-	$(CANDIR)/doc/draft-ietf-usefor-cancel-lock-01.txt \
-	$(CANDIR)/doc/rfc2104.txt \
-	$(CANDIR)/doc/rfc2202.txt \
-	$(CANDIR)/doc/rfc2286.txt
+	$(CANDIR)/sha1.h
 
 MISC	= \
 	$(INCDIR)/autoconf.hin \
 	$(SRCDIR)/Makefile.in \
-	$(SRCDIR)/tincfg.tbl \
+	$(SRCDIR)/tincfg.tbl
 
 INTLFILES = \
 	$(INTLDIR)/bindtextdom.c \
@@ -337,7 +333,7 @@
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/doc $(INTLDIR) $(PODIR)
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR)
 
 # standard commands
 CD	= cd
@@ -423,12 +419,12 @@
 	@$(CHMOD) 644 $(ALL_FILES)
 	@$(CHMOD) 755 \
 	$(ALL_DIRS) \
-	./conf-tin \
-	./config.guess \
-	./config.sub \
-	./configure \
-	./install.sh \
-	./mkdirs.sh \
+	$(TOPDIR)/conf-tin \
+	$(TOPDIR)/config.guess \
+	$(TOPDIR)/config.sub \
+	$(TOPDIR)/configure \
+	$(TOPDIR)/install.sh \
+	$(TOPDIR)/mkdirs.sh \
 	$(TOLDIR)/expiretover \
 	$(TOLDIR)/metamutt \
 	$(TOLDIR)/opt-case.pl \
@@ -437,7 +433,6 @@
 	$(TOLDIR)/url_handler.sh \
 	$(TOLDIR)/w2r.pl \
 	$(PCREDIR)/perltest \
-	$(PCREDIR)/version.sh \
 	$(CANDIR)/Build
 
 tar:
@@ -474,3 +469,5 @@
 	fi ;\
 	$(SED) "s,^PACKAGE=[[:print:]]*,PACKAGE=$(PROJECT)," ./configure.in > ./configure.in.out && \
 	$(SED) "s,^VERSION=[[:print:]]*,VERSION=$(VER)," ./configure.in.out > ./configure.in && \
+	$(RM) ./configure.in.out ;\
+	$(SED) "s,^DVER[[:space:]]*=[[:print:]]*,DVER	= $$DATE," ./Makefile > ./Makefile.tmp && \
