## tin 1.9.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2007-09-24
+# Updated: 2008-08-19
 #
 
 PROJECT	= tin
 LVER	= 1
 PVER	= 9
-SVER	= 3
+SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20080506
+DVER	= 20090211
 EXE	= tin
 
 # directory structure
@@ -23,6 +23,7 @@
 TOLDIR	= ./tools
 PODIR	= ./po
 INTLDIR	= ./intl
+L10NDIR	= ./doc/l10n
 
 HFILES	= \
 	$(INCDIR)/bool.h \
@@ -327,10 +328,17 @@
 	$(PODIR)/tr.gmo \
 	$(PODIR)/tr.po
 
-
-ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES)
-
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR)
+L10NFILES = \
+	$(L10NDIR)/de/tin.1 \
+	$(L10NDIR)/de/tin.5 \
+	$(L10NDIR)/de.add \
+	$(L10NDIR)/de.po \
+	$(L10NDIR)/po4a.conf \
+	$(L10NDIR)/tin-man.pot
+
+ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
+
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(INTLDIR) $(PODIR) $(L10NDIR) $(L10NDIR)/de
 
 # standard commands
 CD	= cd
@@ -465,6 +473,3 @@
 	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \
 		$(MV) ../$$NAME ../$(PROJECT)-$(VER) ;\
 	fi ;\
-	$(SED) "s,^PACKAGE=[[:print:]]*,PACKAGE=$(PROJECT)," ./configure.in > ./configure.in.out && \
-	$(SED) "s,^VERSION=[[:print:]]*,VERSION=$(VER)," ./configure.in.out > ./configure.in && \
-	$(RM) ./configure.in.out ;\
