## tin 1.9.5

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2008-08-19
+# Updated: 2009-07-24
 #
 
 PROJECT	= tin
 LVER	= 1
 PVER	= 9
-SVER	= 4
+SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20090211
+DVER	= 20091224
 EXE	= tin
 
 # directory structure
@@ -354,6 +354,7 @@
 TAR	= tar
 GZIP	= gzip
 BZIP2	= bzip2
+LZMA	= lzma
 WC	= wc
 SED	= sed
 TR	= tr
@@ -465,11 +466,10 @@
 	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
 	@$(LS) -l $(PROJECT)-$(VER).tar.bz2
 
-#
-# I know it's ugly, but it works
-#
-name:
-	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
-	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \
-		$(MV) ../$$NAME ../$(PROJECT)-$(VER) ;\
-	fi ;\
+lzma:
+	@$(ECHO) "Generating lzma compressd tar file..."
+	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
+	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
+	`$(ECHO) $(ALL_FILES) \
+	| $(TR) -s '[[:space:]]' "[\012*]" \
+	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
