=== debian/changelog ===
tin (1:1.9.6~20100522-1) unstable; urgency=low

  * New upstream snapshot.
  * Added complexity to fix a kfreebsd FTBFS. (Closes: #577714)

 -- Marco d'Itri <md@linux.it>  Tue, 01 Jun 2010 00:29:38 +0200

tin (1:1.9.6~20100401-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Apr 2010 16:45:07 +0200

tin (1:1.9.6~20100313-1) unstable; urgency=low

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 14 Mar 2010 01:31:43 +0100

tin (1:1.9.5-1) unstable; urgency=low

  * New upstream release.
    + Adds dead connection detection. (Closes: #534747)
    + Adds support for marking articles as read/unread. (Closes: #541472)
    + Fixes segfaults in feed_articles(). (Closes: #557528)
  * New debconf translation: ru. (Closes: #541764)

 -- Marco d'Itri <md@linux.it>  Thu, 24 Dec 2009 14:40:30 +0100

tin (1:1.9.5~20090720-1) unstable; urgency=low

  * New upstream snapshot. Fixes:
    + CAPABILITIES errors handling. (Closes: #525917, #526646)

 -- Marco d'Itri <md@linux.it>  Mon, 10 Aug 2009 15:33:49 +0200

tin (1:1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Mar 2009 02:52:03 +0100

tin (1:1.9.3+rel-1) unstable; urgency=medium

  * New upstream release.
  * Stop building with -O2 on m68k. (Closes: #478721)
  * Link the package with libuu for yenc support.

 -- Marco d'Itri <md@linux.it>  Mon, 12 May 2008 23:53:26 +0200

tin (1:1.9.3+20080326-1) unstable; urgency=low

  * New upstream snapshot.
  * Source package converted to quilt.
  * Provide an md5sums control file to stop people complaining about a missing
    md5sums control file. (Closes: #439443)

 -- Marco d'Itri <md@linux.it>  Mon, 07 Apr 2008 01:56:44 +0200

tin (1:1.9.2+20070201-1) unstable; urgency=medium

  * New upstream snapshot, only bug fixes.
    + Does not contain the evil RFCs which are not considered worthy for
      Debian anymore. (Closes: #395101)
  * Updated debconf translation: de, ja. (Closes: #396044, #402621)
  * Applied patch fix_capab_loop from the upstream maintainer to fix
    an endless loop when connecting to Typhoon servers.

 -- Marco d'Itri <md@linux.it>  Sun, 25 Feb 2007 20:24:33 +0100

tin (1:1.9.2+20061021-1) unstable; urgency=medium

  * New upstream snapshot.
  * Updated debconf translation: es. (Closes: #385326)

 -- Marco d'Itri <md@linux.it>  Sun, 22 Oct 2006 12:24:14 +0200

tin (1:1.9.2+20060621-1) unstable; urgency=low

  * New upstream snapshot.
    + Fixes generation of by-Message-ID filters. (Closes: #374462)
  * New debconf translation: po. (Closes: #381370)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Aug 2006 00:24:02 +0200

tin (1:1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 29 Apr 2006 12:29:13 +0200

tin (1:1.8.1-1) unstable; urgency=medium

  * New upstream release.
    + Fixes a bug in the maildir check. (Closes: #347422)

 -- Marco d'Itri <md@linux.it>  Thu, 16 Feb 2006 13:40:50 +0100

tin (1:1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * New debconf translations: sv, cs (Closes: #331596, #345139).
  * Switched from the old built-in libcanlock to the libcanlock2 package.

 -- Marco d'Itri <md@linux.it>  Sat,  7 Jan 2006 10:51:35 +0100

tin (1:1.7.10+20050815-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use -O1 on m68k to work around GCC ICE #323016.
  * New debconf translations: fr, vi (Closes: #322930, #322304).

 -- Marco d'Itri <md@linux.it>  Mon, 15 Aug 2005 20:27:35 +0200

tin (1:1.7.10+20050727-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + display of flowed lines with multibyte characters. (Closes: #317549)
  * New debconf translations: cs (Closes: #312977, #319590).

 -- Marco d'Itri <md@linux.it>  Wed,  3 Aug 2005 17:56:46 +0200

tin (1:1.7.8+20050314-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + i18n-related wrapping in the filter menu. (Closes: #294802)
    + CAPABILITIES. (Closes: #293978)
    + truncates the temporary file before reusing it. (Closes: #275944)
    + Keymap collisions. (Closes: #240916)
  * Improved the debconf question. (Closes: #279500)
  * Fixed a typo in the description. (Closes: #300041)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Mar 2005 18:40:54 +0100

tin (1:1.7.6+rel-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + crash at top level (Closes: #236267)
    + undeclared_charset (Closes: #256867)
    + article loss on editor errors (Closes: #260434)

 -- Marco d'Itri <md@linux.it>  Mon, 23 Aug 2004 19:01:38 +0200

tin (1:1.7.6+20040707-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jul 2004 14:38:36 +0200

tin (1:1.7.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #253823, #252972)
  * Change the ask_for_metamail default to TRUE. (Closes: #243240)

 -- Marco d'Itri <md@linux.it>  Tue, 15 Jun 2004 12:39:03 +0200

tin (1:1.7.4+rel-1) unstable; urgency=medium

  * New upstream release.
  * Added doc/TODO to the installed documentation. (Closes: #233230)

 -- Marco d'Itri <md@linux.it>  Fri, 27 Feb 2004 16:17:33 +0100

tin (1:1.7.4+20040111-1) unstable; urgency=medium

  * New upstream snapshot.
  * Compiled with libidn11. (Closes: #227310)

 -- Marco d'Itri <md@linux.it>  Tue, 13 Jan 2004 12:14:38 +0100

tin (1:1.7.4+20031226-1) unstable; urgency=medium

  * New upstream snapshot.
  * Converted to DBS.

 -- Marco d'Itri <md@linux.it>  Sat, 27 Dec 2003 15:31:00 +0100

tin (1:1.7.3+20031209-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Thu, 11 Dec 2003 20:32:30 +0100

tin (1:1.7.2+rel-1) unstable; urgency=medium

  * New upstream release.
  * Trap the KEY_RESIZE event. (Closes: #212966)

 -- Marco d'Itri <md@linux.it>  Sat, 15 Nov 2003 17:28:34 +0100

tin (1:1.7.2+20031002-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #211107)
  * Fixed segfault. (Closes: #214405)


