=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 7), bison, bzip2, libpcre3-dev, libncursesw5-dev, libidn11-dev, libcanlock2-dev, libuu-dev
Standards-Version: 3.8.4

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exim4 | mail-transport-agent
Suggests: metamail, gnupg, ispell
Provides: news-reader
Description: A full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.
Homepage: http://www.tin.org/
