## tin 2.0.0~20110623

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2010-09-16
+# Updated: 2011-04-17
 #
 
 PROJECT	= tin
-LVER	= 1
-PVER	= 9
-SVER	= 6
+LVER	= 2
+PVER	= 0
+SVER	= 0
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20101126
+DVER	= 20110623
 EXE	= tin
 
 # directory structure
@@ -178,8 +178,7 @@
 	$(TOPDIR)/config.sub \
 	$(TOPDIR)/configure \
 	$(TOPDIR)/configure.in \
-	$(TOPDIR)/install.sh \
-	$(TOPDIR)/mkdirs.sh \
+	$(TOPDIR)/install-sh \
 	$(TOPDIR)/tin.spec
 
 PCRE	= \
@@ -323,8 +322,6 @@
 	$(PODIR)/fr.po \
 	$(PODIR)/ru.gmo \
 	$(PODIR)/ru.po \
-	$(PODIR)/rw.gmo \
-	$(PODIR)/rw.po \
 	$(PODIR)/sv.gmo \
 	$(PODIR)/sv.po \
 	$(PODIR)/tr.gmo \
@@ -434,8 +431,7 @@
 	$(TOPDIR)/config.guess \
 	$(TOPDIR)/config.sub \
 	$(TOPDIR)/configure \
-	$(TOPDIR)/install.sh \
-	$(TOPDIR)/mkdirs.sh \
+	$(TOPDIR)/install-sh \
 	$(TOLDIR)/expiretover \
 	$(TOLDIR)/metamutt \
 	$(TOLDIR)/opt-case.pl \
@@ -475,3 +471,5 @@
 	@$(ECHO) "Generating lzma compressd tar file..."
 	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
+	`$(ECHO) $(ALL_FILES) \
+	| $(TR) -s '[[:space:]]' "[\012*]" \
