=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,12 @@
 		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
 		--enable-included-msgs --enable-nls \
 		--enable-mh-mail-handling --enable-cancel-locks \
+		--with-pkg-config \
 		--with-mime-default-charset=ISO-8859-15
 
-build: debian/.stamp-build
+build: build-arch build-indep
+build-arch: debian/.stamp-build
+build-indep: debian/.stamp-build
 debian/.stamp-build: config.status
 	dh_testdir
 	cd src && $(MAKE)
@@ -78,4 +81,4 @@
 
 binary:	binary-arch binary-indep
 
-.PHONY: binary binary-arch binary-indep unpack configure build clean checkroot
+.PHONY: binary binary-arch binary-indep configure build build-arch build-indep clean checkroot
