=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 SHELL=/bin/bash -e
 
 D := $(CURDIR)/debian/tin
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
