=== debian/changelog ===
tin (1:2.1.1-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 05:17:41 +0000

tin (1:2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Enabled debugging support. (Closes: #671170)
  * Switched from libidn to libicu.
  * Updated one or more debconf translations. (Closes: #658462, #668447)

 -- Marco d'Itri <md@linux.it>  Mon, 25 Jun 2012 02:31:17 +0200
