## tin 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2012-03-25
+# Updated: 2013-01-09
 #
 
 PROJECT	= tin
 LVER	= 2
-PVER	= 1
-SVER	= 1
+PVER	= 2
+SVER	= 0
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20120623
+DVER	= 20131224
 EXE	= tin
 
 # directory structure
@@ -180,6 +180,7 @@
 	$(TOPDIR)/configure \
 	$(TOPDIR)/configure.in \
 	$(TOPDIR)/install-sh \
+	$(TOPDIR)/po4a.conf \
 	$(TOPDIR)/tin.spec
 
 PCRE	= \
@@ -338,7 +339,6 @@
 	$(L10NDIR)/en_GB/tin.1 \
 	$(L10NDIR)/en_GB/tin.5 \
 	$(L10NDIR)/en_GB.po \
-	$(L10NDIR)/po4a.conf \
 	$(L10NDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(INTLFILES) $(POFILES) $(L10NFILES)
@@ -359,12 +359,12 @@
 TAR	= tar
 GZIP	= gzip
 BZIP2	= bzip2
-LZMA	= lzma
+XZ	= xz
 WC	= wc
 SED	= sed
 TR	= tr
 TEST	= test
-
+PO4A	= po4a
 
 all:
 	@$(ECHO) "Top level Makefile for the $(PROJECT) v$(VER) Usenet newsreader."
@@ -470,7 +470,7 @@
 	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
 	@$(LS) -l $(PROJECT)-$(VER).tar.bz2
 
-lzma:
-	@$(ECHO) "Generating lzma compressd tar file..."
-	@-$(RM) -f $(PROJECT)-$(VER).tar.lzma
+xz:
+	@$(ECHO) "Generating xz compressd tar file..."
+	@-$(RM) -f $(PROJECT)-$(VER).tar.xz
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
