=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tin
 Section: news
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.5
 
 Package: tin
 Architecture: any
