=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.tin.org/pub/news/clients/tin/v2.2/tin-([\d\.]+)\.tar\.bz2
