=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 SHELL=/bin/bash -e
 
 D := $(CURDIR)/debian/tin
+
+DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
