## tin 2.3.1

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 PROJECT	= tin
 LVER	= 2
-PVER	= 2
-SVER	= 0
+PVER	= 3
+SVER	= 1
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20131224
+DVER	= 20141224
 EXE	= tin
 
 # directory structure
