=== debian/changelog ===
tin (1:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Support reproducible builds.

 -- Marco d'Itri <md@linux.it>  Fri, 27 Mar 2015 06:36:17 +0100
