=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
+CPPFLAGS+=$(shell sh debian/cpp_reprtime include/reprtime.h)
+
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -17,7 +19,7 @@
 endif
 
 clean:
-	rm -f debian/.stamp-* doc/CHANGES.tmp
+	rm -f debian/.stamp-* doc/CHANGES.tmp include/reprtime.h
 	$(MAKE) distclean
 	dh_clean
