=== debian/changelog ===
tin (1:2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/cpp_reprtime: set TZ=UTC to fix reproducible builds.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Dec 2015 06:20:32 +0100
