=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: news
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>> 7), pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
+Build-Depends: debhelper (>> 7), autotools-dev, pkg-config, bison, libpcre3-dev, libncursesw5-dev, libicu-dev, libcanlock2-dev, libuu-dev
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/users/md/tin.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/md/tin.git
+Vcs-Git: https://anonscm.debian.org/git/users/md/tin.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/md/tin.git
 
 Package: tin
 Architecture: any
