## tin 2.4.0

=== debian/changelog ===
tin (1:2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Applied patch pre_2.4.1 with upstream fixes from the future 2.4.1
    release.
  * Dropped debian/cpp_reprtime, since gcc has SOURCE_DATE_EPOCH support
    now (patch by Alexis Bienvenüe). (Closes: #827731)

 -- Marco d'Itri <md@linux.it>  Mon, 31 Oct 2016 00:17:20 +0100
